#cs
	Title: PictureMatch
	Author: SupraNatural
	Date: 8-28-05
#ce


#include<GUIConstants.au3>
Opt("GUIOnEventMode",1)
Opt("MouseCoordMode",1)
Opt("PixelCoordMode",1)

Global $parent
Global $statwin
$mydocs = "::{450D8FBA-AD25-11D0-98A8-0800361B1103}"
$pic = FileOpenDialog("Select Picture",$mydocs,"Images (*.jpg;*.bmp;*gif)",1+2)
$sizewin = GUICreate("PictureMatch Window Size",200,200)
$sizeselect = GUICtrlCreateCombo ("", 10,10)
GUICtrlSetData(-1,"640x480|800x600|1024x768","640x480")
GuiCtrlSetOnEvent($sizeselect,"sizeselect")
GUISetOnEvent($GUI_EVENT_CLOSE,"close")
GUISetState(@SW_SHOW)

While 1
Sleep(1000)
WEnd


Func sizeselect()
	$size = GUICtrlRead($sizeselect)
	Select
	Case $size = "640x480"
		$Width = 640
		$Height = 480
	Case $size = "800x600"
		$Width = 800
		$Height = 600
	Case $size = "1024x768"
		$Width = 1024
		$Height = 768
	EndSelect
	GUIDelete($sizewin)
	$parent = GUICreate("Picture Match",$width,$height,0,0)
	GUICtrlCreatePic($pic,0,0,$width,$height)
	Select
	Case $Width = 1024
		$child = GUICreate("Current Stats",200,100,$width-200,0,-1,$parent)
	Case $Width = 800 or $Width = 640
		$child = GUICreate("Current Stats",200,100,$width+5,0,-1,$parent)
	EndSelect
	$statwin=GUICtrlCreateLabel("",0,0,180,180)
	GUISetOnEvent($GUI_EVENT_CLOSE,"close",$parent)
	MsgBox(0,"Info","Insert Key gives you information!")
	HotKeySet("{INS}","getPos")
	GUISetState(@SW_SHOW,$parent)
	GUISetState(@SW_SHOW,$child)
EndFunc

Func close()
	Exit
EndFunc

Func getPos()
	$pos = GUIGetCursorInfo($parent)
	$color = PixelGetColor($pos[0],$pos[1])
	ClipPut("Color Under Mouse: "&Hex($color,6)&@CRLF&"Mouse Position: "&$pos[0]&"(x),"&$pos[1]&"(y)")
	GUICtrlSetData($statwin,"Color Under Mouse: "&Hex($color,6)&@CRLF&"Mouse Position: "&$pos[0]&"(x),"&$pos[1]&"(y)"&@CRLF&"This information was copied to the clipboard."&@CRLF&"These coordinates are absolute screen coordinates.")
EndFunc

